---
title: "Week 13, Thursday: ESNOG'32 Day 1"
date: 2024-10-24T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/kasger.png" alt="Credit: Kasger, YouTube" >}}

We have descended upon Upper Diagonal in the North of Barcelona. It's a beautiful neighborhood, I
can tell it's _upscale_ with large avenues lined with trees, big houses with well kept yards, and
it's super clean. Did we land in the posh neighborhood? Our hotel is top notch, and I slept  really
well last night. Marina will be visiting the Picasso, Miro and maybe a few others today. I will be
joining the Spanish Network Operators Group _ESNOG_ for their 32nd rendition of a one and a half day
meeting to exchange ideas, projects, proposals and industry updates with one another.

I chose the hotel to be walking distance from the venue, which is the Barcelona university of
technology, called the _Universitaria Politecnica de Catalunya_ or _UPC_ for short. The organizers
have chosen a very handsome building which houses an auditorium for about two hundred people or so.
There's a good eighty people at the venue today.

I don't take breakfast at the hotel, and instead walk over to the UPC building through the park.
It's a nice stroll and the weather is gorgeous out: light blue skies with a bright yellow Sun that
is happy to see me. Once at the university, I am quickly checked in and take my seat. I've promised
Carlos that I would avoid the social activity later today, just out of an abundance of caution even
though I have tested negative for COVID'19 on the way out to Barcelona. Besides, Marina is with me
and having a nice quiet dinner is also fun.

The program is varied and quite interesting. We start off with Paolo Lucente of NTT who wants to
share some modernization in a talk entitled Network Telemetry - Exploring Technologies and
Advancements in Standardization. Eduardo Taboada is next - he literally _wrote the book_ on Proxmox:
The Open Code Virtualization Solution for the Future. His narrative goes into the purpose, features,
use cases and vision of virtualization.

During the break for coffee, I meet a few of the other participants and we talk about our network,
what we do, what we're working on. The coffee is outside in the back yard of the university, and
there's some scones and little tartelettes: breakfast! After the break, Victor Serrano of Nokia
disserts on "Lab as Code" with Nokia Containerlab. I realize that it may be a good idea to
contribute VPP images to _Containerlab_, so that folks can add these machines and learn from them.

Jose Antonio Montes is a telephony person - his talk is called "Put some FOSS on your VoIP". I'm
reminded of the [[FrysIX Barbecue]({{< ref wk7day6.md >}})where I met Joran Osinga, who has built
and shown/documented a fully working 5G radio network - we talked about it on (an upcoming episode
of the) Fusix Podcast. Michela Galante continues with a talk showing how to update the Ripe Database
information in an automated way using the API.

As I take a quick bathroom break, I bump into Nick of Nexgen and he offers me a coffee. We sit and
chat outside for a ltitle bit, talking about coherent optics, CWDM vs DWDM/OWDM and what new types
of transmission in the 400GE arena are up and coming. It's super interesting to hear from Nexgen,
and I'm sure IP-Max will be pleased as well as a new and very happy customer.

Lunch is served in the yard - it's sliders, little finger food, fizzy drinks, mate, coffee/tea
and water. I enjoy catching up with Luca Deri (the ntop tech-lead), and we talk about my current
project in VPP to add sFlow. He's pretty excited about it, and makes me a promise: he intends to
move the sFlow receiver to the open source [[ntopng](https://www.ntop.org/products/traffic-analysis/ntop/)]
and I think that would be a wonderful feature! We also talk about an upcoming conference he is
organizing in Zurich, for which he extends me an invitation to speak. Of course, Luca is still
active at [[FOSDEM](https://fosdem.org/)] and will be kicking off the CfP for the network devroom
soon. I may be interested to join - even though I find that FOSDEM is way too crowded and busy,
they have significantly outgrown the capacity of the university in Brussels, but they're not
interested in re-evaluating the attendee body "the more the merrier", but it's pretty clear to me
that the organizers have lost touch with the situation on the ground: almost invariably if you're
not _in_ a devroom at 08:30, you will be out of luck: moving between them is impossible, doors are
closed because they are (over)full, and you end up watching the same talk online in the hallway.
Really terrible user experience! But, joining the Network devroom and staying there the whole day, I
can do that :)

After lunch (which ends at 15:15, I still find that funny), Octavio Alfageme discusses a multicast
protocol in a talk titled "What do we see tonight? BIER and the evolution of multicast distribution
architectures.". I know that VPP has a BIER implementation - I should really look in to this a bit
more, as multicast always was just a little bit out of reach for me. Maybe IPng Networks is a nice
place to roll out some multicast or other.

A set of peering updates is next. Maria Isabel Gandia of CATNIX is joined by Javier Achirica of
ESPANIX. Although I've seen Isabel around, the DE-CIX slot remains empty. After these updates, we
are joined by Christian Adell [who once gave me a book!], Design-Driven Source of Truth, the
Complete Lifecycle which is a practical constraints-based automation to build and destroy network
sites and point-to-point networks.

Luca Deri closes out the day with a presentation (in English, _grazie mille_!) which showcases a
range of tools and traffic inspection techniques that we have developed over the years. These
innovations have been at the construction of a robust platform capable of delivering detailed
network visibility at high-speed using standard, commodity hardware.

At 18:15 or so I decide to take off - there's a beering session a little ways away from the
university, and a dinner at 21:00; but I have dinner plans with Marina. We decide on a place called
[[Casa Petra](https://www.casapetrarestaurante.com/menus)] which is not fancy, but very well done
tapas. Our absolute favorite is a tomato tartar, which has a thick and rich flavor. I also enjoyed
all the other dishes - boquerones (English: Anchovies) and Pan con Tomate (English: bread with
tomato), the Jam&oacute;n Iberico (English: Iberian cured ham), and a fried artechoke with snippets
of dried ham. And of course, the drop of wine from LaFou that went with the tapas.

At 22:30 we get back to the hotel and Marina wants to finish watching her movie on the iPad. So, I
decide to finish something I started a few days ago, and motivated by my conversation with Luca:
completing the API for the `sFlow` plugin. Until now, we had only a few _setters_. I refator the
code to rename them to `*_set()` calls, and accompany each with a pairing `*_get()` call. I also add
a dumper command, to enumerate either one or all sFlow enabled interfaces. With that, I should be
able to integrate the entire plugin cleanly in [[vppcfg](https://github.com/pimvanpelt/vppcfg.git)].
I wrestle a little bit with the unit tests, and end up committing patchset
[[#13](https://gerrit.fd.io/r/c/vpp/+/41680/12..13)] which still passes all integration tests.
Whoot, Vino-Coding rocks :)

Tomorrow morning there will be a tour of Mare Nostrum, a local barcelona supercomputer. Then at
10:00, the second day of ESNOG'32 will start. I go to sleep a happy camper.
 
## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-24/IMG_2178.JPG" caption="A beautiful gate at the edge of Güell Pavilions in Barcelona, Catalonia." >}}
  {{< gallery-photo fn="2024-10-24/IMG_2179.JPG" caption="ESNOG'32 will be in the University of Technology - this building is stunning." >}}
  {{< gallery-photo fn="2024-10-24/IMG_2180.JPG" caption="The auditorium for ESNOG'32 which holds 200 or so, and has all the amenities one might wish for, including streaming capabilities" >}}
  {{< gallery-photo fn="2024-10-24/IMG_2182.JPG" caption="Eduardo's talk about ProxMox. I will receive a book from his hand tomorrow!" >}}
  {{< gallery-photo fn="2024-10-24/IMG_2196.JPG" caption="The vegan tomato tartar which was the best thing on the menu. Delish!" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
