---
title: "Week 13, Friday: ESNOG'32 Day 2"
date: 2024-10-25T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/relakzone.png" alt="Credit: Relak Zone, YouTube" >}}

A few months ago, on Mastodon one Eduardo Collado approached me and he was asking about the FrysIX
pins that I had made. If I could maybe send a couple to him, he'd gladgly distribute them at an
upcoming ESNOG event. Upcoming event you say? How's about I come and bring them!? So I mailed the
program committee and suggested to bring a presentation on VPP's ability to run Babel and OSPFv3
without the need for IPv4 or IPv6 transit networks. They accepted, and here I am :)

Yesterday, I lined up two opportunities to share my ongoing work on sFlow in VPP: one at FOSDEM'25,
for which Luca Deri invited me to submit a _call for papers_; and another one about network
telemetry and observability which Luca is organizing in Zurich. And so, it is proven once again,
that NOGs are self-perpetuating. There's always somebody intersted in hearning nerdy stories and I'm
always interested in telling them!

This morning, a bunch of the participants went to visit the
[[Marenostrum](https://en.wikipedia.org/wiki/MareNostrum)] supercomputer at the _BSC_ (Barcelona
Supercomputer Center). It is the most powerful supercomputer in Spain, one of thirteen
supercomputers in the Spanish Supercomputing Network and one of the seven supercomputers of the
European infrastructure PRACE (Partnership for Advanced Computing in Europe). It has ~166K CPU,
390TB of memory and 14PB of storage and is rated to 1.3MWatt of power. The coolest thing ever: it's
built into a former chapel named _Torre Girona_, at the Polytechnic University of Catalonia, where
our event is being hosted.

At 10:30 the program kicks off with Ismael Castell's thoughtful presentation about Discovering
databrokers - Bringing to light hidden companies. This presentation resonated with me, as there's so
much data gathering and inappropriate use of my (and our) personal data on the Internet. This is
also why I've taken to _selfhosting_ (Mastodon, Peertube, NextCloud, Immich, Plausible, Roundcube,
and several more).

After a coffee break, Gerhard Stein of Flexoptix brings us some theory and practice about Coherent
optical transceivers – current capabilities and future capabilities. Then, Jovana Palibrik of Kentik
talks about the adoption of RPKI ROV - in particular a huge step-function jump after last year
Orange misplaced its password and found its prefixes rerouted and hijacked. Manuel Mendez shared an
industry update from Arista with a gazillion different flavors of 400GE optics.

Then we had lunch - very similar to the one yesterday, and I had a chat with the Flexoptix folks. We
talked about _Return to Office_, my sabbatical (and Andrea's too!); and the state of optical
engineering. I personally would never have thought in the 90s when I studied this stuff, that it
would become such a huge industry!

After lunch, I was invited on stage to bring my presentation entitled VPP: A 100Gbps/100Mpps+
BGP/OSPF router with a single IPv4 address. It was fun to present here - in English and at a
reasonably slow pace - and answer a few questions at the end. It was
[[recorded](https://video.ipng.ch/w/i4ibtvEkUmEE39mkCNeDzQ)] and the slides are
[[online](https://go.ipng.ch/esnog32)] as well. I also lay out a set of IPng ntag-pins which find
new homes with the participants of ESNOG'32 at the University of Technology.

After my talk, Maria Isabel Gandia of CATNIX and Amadeo Beck-Pecoz of ESPANIX give some tips and
tricks on how to peer _correctly_ in a talk entitled _Como sacar el máximo provecho de los puertos
de peering en nodos neutros_ (English: How to make the most of peering ports in neutral nodes),
after which there's one more social-cultural activity: a kahoot!

The kahoot is a quiz with fifteen questions about technology and cultural references from the
spanish internet industry and its pioneers. I participate in the kahoot and, despite my Spanish
sucking (and delays due to having to translate ES->EN and then my answer back EN->ES), I manage to
make the podium together with a player called _Edu_ (_Eduardo Taboada_ who was gracious to give me
his book on Proxmox!) and a player called _IPv6_. I am over the moon that I managed to win here! I
take the time to thank the ESNOG organizers, as they did a fantastic job with the logistics and the
varied program. I really enjoyed myself!

Then just like that, ESNOG'32 is over. It's 17:00 or so and I make my way back to the hotel, where
Marina is already lounging and ready for an ap&eacute;ro. First, we take a little walk through the
park and I call my Dad, who is celebrating his birthday today. My parents are doing good, they just
got their flu and corona shots (good for them!) and they ask me about my COVID episode last week. We
have a good conversation and say our goodbyes - they will be visiting us in Switzerland in December.

At 20:00 we make our way to the city for dinner. It's a bit of a puzzle to find a place that has
good tapas, is not too far away, and is affordable. We find a place, honesty not that great though,
and we have our food and a bottle of _Arienzo_ wine from the house of Marques de Riscal. On the way
back we see a local sight: _Zurich_, the insurance company, as well has an office in the Diagonal
area of Barcelona.

Back at the hotel it's 22:00 and we're both a bit tired. Marina has done a tonne of walking and
museum-visiting today, and I spent the day up and about at ESNOG. Interestingly, my Apple watch
informs me that I have closed all three rings (12h of standing, 30min of exercize, 950kCal of
activity). I would not have thought that!

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-25/marenostrum.png" caption="Picture of Marenostrum 4 in the chapel at UPC, Barcelona" >}}
  {{< gallery-photo fn="2024-10-25/IMG_2203.JPG" caption="A heart-shaped formation of a bunch of IPng ntag-pins, almost all of which got a new owner today." >}}
  {{< gallery-photo fn="2024-10-25/IMG_2205.JPG" caption="A selfie at the podium of the University of Tech, Barcelona, Catalunya." >}}
  {{< gallery-photo fn="2024-10-25/group.png" caption="A gorup picture of the ESNOG'32 participants." >}}
  {{< gallery-photo fn="2024-10-25/IMG_2209.JPG" caption="A selfie at the front door of the UPC Edifici Vertex building of UPC in Barcelona." >}}
  {{< gallery-photo fn="2024-10-25/kahoot.png" caption="I am giggly because I did not expect to win a Spanish spoken kahoot!" >}}
  {{< gallery-photo fn="2024-10-25/IMG_2210.JPG" caption="The Pedralbes Royal Palace in Pedralbes quarter of Barcelona, Catalunya." >}}
  {{< gallery-photo fn="2024-10-25/IMG_2211.JPG" caption="A bottle of Rioja called Arienzo, from Marques de Riscal" >}}
  {{< gallery-photo fn="2024-10-25/IMG_2214.JPG" caption="A selfie of Marina and I in front of the Zurich insurance company in Diagonal, Barcelona." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

